ibdhap.make.states <-
  function( qibd.filename, dat.filename, cutoff = .9){

                                        #glean information from the par file
    par.file<-read.table(dat.filename, fill =TRUE, colClasses = "numeric")
    
    n.snps<- par.file[3,1]  #number of markers
    n.sets<-par.file[2,1]   #number of set of haplotypes
    geno.indicator<-par.file[1,3] #data input as genotypic or not
    
                                        #information to expect individual names (genotypic data) 
                                        #or haplotype names (hap data)
    if(geno.indicator){
      c.classes<-c(rep("character", 2), rep("numeric", 2))
      names.col<-c(3,4)
      n.names<-2
    }
    else{ c.classes<-c("character", rep("numeric",4))
          names.col<-(2:5)
          n.names<-4
        }
    
    
    
                                        #find how many columns to plan for for different data (genotype, haplotype, reduced)
    n.col<-length(read.table(qibd.filename, skip = 2, nrow=1))
    
                                        #define the output dataframe "ibd.states"
    ibd.states<-matrix( 0, ncol=n.sets, nrow =(n.snps))
    rawdat<-read.table(qibd.filename, fill=TRUE, header=FALSE)
    print("Data read in successfully")
    
    for(iset in 1:n.sets){
      
                                        #read the qibd.filename, just the information for the markers in "iset"
      jumpind<-2*(iset)+(n.snps)*(iset-1)+1
      ibd.dat<-t(rawdat[jumpind:(jumpind+n.snps-1),])
      ibd.dat<-matrix(as.numeric(unlist(ibd.dat)), nrow=(n.col))
      
                                        #get haplotype names in this set of haplotypes
                                        # names<-read.table(qibd.filename, colClasses = c.classes, skip = (2*(iset)+(n.snps)*(iset-1)-1), nrow=1) 
      
                                        #truncate the data based on "cutoff", leave a 1 if the cutoff is met, 0 othwse
      ibd.trunc<-apply(ibd.dat[ 3:(n.col), ], c(1,2), meet.cutoff, cutoff) 
      
                                        #now for each column (set of state probabilities for a marker), list the ibd.state
                                        #(or 0 if no state probablity is > cutoff
      ibd.states.temp<-apply(ibd.trunc, 2, return.ibd.val) 
      
                                        #add the marker names
                                        #ibd.states.temp<-as.numeric(unlist(c(names[names.col], ibd.states.temp)))
      
   #add to the final product
      ibd.states[,iset]=ibd.states.temp
      print(paste("pair", iset, "of", n.sets, "complete...", sep=" "))
    }
    
    return(as.data.frame(ibd.states))
    
  }

